> For the complete documentation index, see [llms.txt](https://developers.mobile-text-alerts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.mobile-text-alerts.com/api-basics/rate-limits.md).

# Rate Limits

Information on rate limits

An API rate limit restricts the number of requests a client can make to an API within a given period of time.

## General Rate Limit

Most Mobile Text Alerts API endpoints have a general rate limit of `30` requests per minute per IP address. However, some individual endpoints may override the general rate limit (see below).

{% hint style="warning" %}
Rate limits are **not** the same as message throughput, which is measured in message segments per second (MPS). MPS throughput is determined based on the sender's brand type, campaign type (use case), and trust score (for Standard Brands).
{% endhint %}

Your rate limit usage can be tracked in the `X-RateLimit-Limit`, `X-RateLimit-Remaining`, and `X-RateLimit-Reset` [response headers](/api-basics/request-response-headers.md#response-headers).

## Account-based rate limiting

Some endpoints use account-based rate limiting, where the rate limit is determined by the authenticated account instead of the IP address.

<table><thead><tr><th width="278">Endpoint</th><th>Rate Limit</th></tr></thead><tbody><tr><td><a href="/tutorials/message-sending/send-an-sms-message.md#send-message-api-endpoint">POST <code>/send</code></a></td><td>25 requests every 15 seconds</td></tr><tr><td><a href="/tutorials/manage-subscribers/group-subscribers/groups-bulk-add-delete-subscribers.md#post-groups-groupid-subscribers-bulk-create">POST <code>/groups/{groupId}/subscribers/bulk-create</code></a></td><td>5 requests every 15 seconds. A maximum of 1,000 records in a single request.</td></tr><tr><td><a href="/tutorials/manage-subscribers/group-subscribers/groups-bulk-add-delete-subscribers.md#post-groups-groupid-subscribers-bulk-delete">POST <code>/groups/{groupId}/subscribers/bulk-delete</code></a></td><td>5 requests every 15 seconds. A maximum of 1,000 records in a single request.</td></tr><tr><td><a href="/tutorials/custom-subscriber-attributes.md#get-custom-fields"><code>GET /custom-fields</code></a></td><td>15 requests every 15 seconds</td></tr><tr><td><a href="/api-reference/account-variables.md">GET, POST <code>/account-variables</code></a></td><td>15 requests every 15 seconds</td></tr><tr><td><a href="/api-reference/account-variables.md#get-account-variables-idortitle">GET, PATCH, DELETE <code>/account-variables/{idOrTitle}</code></a></td><td>15 requests every 15 seconds</td></tr><tr><td><a href="/tutorials/manage-subscribers.md">GET, POST <code>/subscribers</code></a></td><td><p>15 requests every 15 seconds.</p><p><em>For large scale subscriber changes</em> <a href="/tutorials/manage-subscribers/bulk-create-update-subscribers.md"><em>Bulk Create/Update Subscribers</em></a> <em>endpoints are recommended.</em></p></td></tr><tr><td><a href="/tutorials/manage-subscribers.md">GET, PATCH, DELETE <code>/subscribers/:idOrNumber</code></a></td><td>15 requests every 15 seconds</td></tr><tr><td><a href="/tutorials/manage-subscribers/bulk-create-update-subscribers.md">POST, PATCH <code>/subscribers/bulk</code></a></td><td>15 requests every 15 seconds. A maximum of 1,000 records in a single request.</td></tr><tr><td><a href="/api-reference/analytics.md#get-analytics-delivery">GET <code>/analytics/delivery</code></a></td><td>5 requests per minute</td></tr><tr><td><a href="/api-reference/sent-messages/export-sent-messages.md#get-sent-messages-export">GET <code>/sent-messages/export</code></a></td><td>2 requests per minute</td></tr><tr><td><a href="/api-reference/sent-messages/export-sent-messages.md#get-sent-messages-export-status-trackingreportid">GET <code>/sent-messages/export/status/{trackingReportId}</code></a></td><td>15 requests every 15 seconds</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.mobile-text-alerts.com/api-basics/rate-limits.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
